﻿using Newtonsoft.Json;

namespace WeatherDashboard
{
    [JsonConverter(typeof(JsonPathConverter))]
    public class WeatherSet
    {
        [JsonProperty("location")]
        public Location Location { get; set; }

        [JsonProperty("current")]
        public CurrentForecast Current { get; set; }

        [JsonProperty("forecast.forecastday")]
        public ICollection<Forecast> Forecast { get; set; }
    }

    public class Forecast
    {
        [JsonProperty("day")]
        public ForecastSummary Summary { get; set; }
    }

    [JsonConverter(typeof(JsonPathConverter))]
    public class ForecastSummary
    {
        [JsonProperty("condition.text")]
        public string ConditionName { get; set; }

        [JsonProperty("maxtemp_f")]
        public decimal HighTemp { get; set; }

        [JsonProperty("mintemp_f")]
        public decimal LowTemp { get; set; }
    }
}